Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.common.Progressive Class Reference
Inheritance diagram for foxit.common.Progressive:

## Public Types
enum | State { State.e_Error = 0, State.e_ToBeContinued = 1, State.e_Finished = 2 }
| Enumeration for progress state. More...

## Public Member Functions
| Progressive (Progressive other)
| Constructor, with another progressive object. More...
Progressive.State | Continue ()
| Continue the progressive process. More...
int | GetRateOfProgress ()
| Get the rate of current progress. More...

## Detailed Description

This class represents a progressive object, which is used for progressive process such as loading document, parsing page and so on.

## Member Enumeration Documentation

## ◆ State

enum foxit.common.Progressive.State
| strong

Enumeration for progress state.

Values of this enumeration should be used alone.

Enumerator
e_Error | Progress state: any error occurs.
e_ToBeContinued | Progress state: progress needs to be continued.
e_Finished | Progress state: progress is finished.

## Constructor & Destructor Documentation

## ◆ Progressive()

foxit.common.Progressive.Progressive | ( | Progressive | other | ) |
| inline

Constructor, with another progressive object.

Parameters

  [in] | other | Another progressive object.

## Member Function Documentation

## ◆ Continue()

Progressive.State foxit.common.Progressive.Continue | ( |  | ) |
| inline

Continue the progressive process.

Returns
  foxit.common.Progressive.State.e_Finished means current process is finished successfully.
  foxit.common.Progressive.State.e_ToBeContinued means current process is suspended, and this function needs to be called again to continue the process.
  foxit.common.Progressive.State.e_Error means any error occurs.

## ◆ GetRateOfProgress()

int foxit.common.Progressive.GetRateOfProgress | ( |  | ) |
| inline

Get the rate of current progress.

Returns
  An integer between 0 and 100 (inclusive), indicating the rate of current progress. -1 means error.